/*!
Theme Name: Kadence Child
Theme URI: https://www.kadencewp.com/kadence-theme/
Template: kadence
Author: Kadence WP
Author URI: https://www.kadencewp.com/
Description: A child theme for the Kadence Theme.
Version: 1.0.3
License: GNU General Public License v3.0 (or later)
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Text Domain: kadence-child
*/

/* Theme customization starts here
-------------------------------------------------------------- */

/*
 * Doozy da modificare...
 */

/* Colori */
:root {
    --primario: var(--global-palette1);
    --blu-scuro: var(--global-palette2);
    --secondario: var(--global-palette3);
    --light: var(--global-palette8);
    --light-blue: var(--global-palette7);
    --bianco: var(--global-palette9);
}

::-webkit-input-placeholder { /* WebKit browsers */
    color: var(--secondario) !important;
    opacity: 0.3;
}
:-moz-placeholder { /* Mozilla Firefox 4 to 18 */
    color: var(--secondario) !important;
    opacity: 0.3;
}
::-moz-placeholder { /* Mozilla Firefox 19+ */
    color: var(--secondario) !important;
    opacity: 0.3;
}
:-ms-input-placeholder { /* Internet Explorer 10+ */
    color: var(--secondario) !important;
    opacity: 0.3;
}

/* Tipografia */
* p {
	margin:0;
}
h1, .h1, h2, .h2, h3, .h3, h4, .h4, h5, .h5, h6, .h6 {
    margin-top: 0!important;
}

h1, .h1, .h1 > .gspb-dynamic-title-element,
.h1.gspb_meta>* {
    font-size: clamp(34px, 6.5vw, 72px);
    line-height: 1.1;
}
h2, .h2, .h2 > .gspb-dynamic-title-element,
.h2.gspb_meta>* {
    font-size: clamp(26px, 4vw, 40px);
    line-height: 1.3;
}
h3, .h3, .h3 > .gspb-dynamic-title-element,
.h3.gspb_meta>* {
    font-size: clamp(26px, 4vw, 32px);
    line-height: 1.3;
}
h4, .h4, .h4 > .gspb-dynamic-title-element,
.h4.gspb_meta>* {
    font-size: clamp(20px, 3.5vw, 24px);
    line-height: 1.4;
}
h5, .h5, .h5 > .gspb-dynamic-title-element,
.h5.gspb_meta>* {
    font-size: clamp(18px, 3vw, 20px);
    line-height: 1.5;
}
h6, .h6, .h6 > .gspb-dynamic-title-element,
.h6.gspb_meta>* {
    font-size: clamp(1rem, 2.5vw, 1rem);
    line-height: 1.5;
}
/* Pulsanti */
button, .button, .wp-block-button__link, .wp-element-button, input[type="button"], input[type="reset"], input[type="submit"] {
    padding: 0.7rem 2rem;
    font-size: 1.125rem;
    line-height: 1;
}

.link {
    font-weight: 600;
    text-decoration: underline;
    font-size: 0.9rem;
}

/*newsletter*/

.newsletter-wrapper {
  position: relative;
  width: 100% !important;
  max-width:640px !important;
  margin: 0 auto;
  border-radius: 0 !important;
}

.newsletter-wrapper input[type="email"] {
  height: 50px;
  font-size: 16px;
  border: 1px solid white !important;
  background-color:#6a6b6b !important;
}

.newsletter-wrapper input[type="submit"] {
  position: absolute;
  right: 0;
  top: 0;
  height: 50px;
  padding: 0 25px;
  background-color: #ffffff;
  color: #000000;
  border: none;
  font-size: 18px;
  cursor: pointer;
  border-radius:0 !important;
}


#newsletterForm * {
  border-radius: 0 !important;
}


.newsletter-wrapper input[type="email"]::placeholder {
  color: #ffffff !important;
}

.flex-form input[type="email"]::placeholder {
  color: #ffffff !important;
  opacity: 1;
}



/*image*/
.image-overlay-box {
  position: relative;
}

.image-overlay-box img {
  width: 100% !important;
  height: auto !important;
}


.image-overlay-box .overlay-title {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  color: white;
  font-size: 2rem;
  text-align: center;
  text-shadow: 0 0 5px rgba(0,0,0,0.7);
  z-index: 2;
  pointer-events: none;
}

/*card del blog*/

.card-content {
    padding: 1rem;
    display: flex;
    flex-direction: column;
	text-align:left;
    row-gap:0.5rem;
    font-size: 0.9rem;
}
.card-content .data {
    font-size: 0.8rem;
}
/*------------------------*/
.contenuto-prodotto .woocommerce-Price-amount {
	font-size: 2rem!important;
	font-weight: bold;
}
label[for="pa_taglia"] {
    display: none;
}
.reset_variations {
	display: none!important;
}
div[data-attribute="attribute_pa_taglia"] {
	display: flex;
    flex-wrap: wrap;
	gap:6px;
}
table.variations th.label {
    display: none;
}
body .gs-var-selector input {
    display: none !important;
}
div[data-attribute="attribute_pa_taglia"] .text-label-gs{
	background: #f6f6f5;
	border: 0!important;
	height: 50px;
	display: flex!important;
	justify-content: center;
	align-items: center;
	box-sizing: border-box;
}
div[data-attribute="attribute_pa_taglia"] .text-label-gs:hover,
div[data-attribute="attribute_pa_taglia"] input:checked+.gs-var-label {
	font-weight: bold!important;
}
.contenuto-prodotto .quantity {
	height: 50px!important;
	display: flex;
	align-items: center;
}
.contenuto-prodotto .single_add_to_cart_button {
	height: 50px!important;
	border: 0!important
}
.contenuto-prodotto table.variations {
    margin-bottom: 1rem;
}
.contenuto-prodotto .quantity,
.contenuto-prodotto .quantity .qty {
	border: 0!important;
    background: #f6f6f5!important;
	border-radius: 0!important;
}
.descrizione-prodotto .gspb_meta_value{
	column-count: 3;
	gap: 50px;
}
.card-prodotto h3,
.card-prodotto .woocommerce-Price-amount {
	font-size: 13px!important;
}
.card-prodotto .gspb_price_value.gspb-variable-price {
    display: block;
    line-height: 1.2em;
}
.gspb-product-image-gallery .swiper-slide {
	box-sizing: border-box;
}
.gspb-product-image-gallery .gspb-gallery-full .swiper-slide img {
	border: 1px solid #E8E8E8
}
@media(max-width: 992px) {
	.descrizione-prodotto .gspb_meta_value{
		column-count: 1;
		gap: 0px;
	}
}
/*----------------------*/
.products .entry {
	box-shadow: none!important;
	border-radius: 0!important
}


/*---------------Filtri---------------*/
.berocket_ajax_filters_sidebar_toggle {
	height: auto!important;
	width: auto!important;
	margin: 0!important;
}
.filtro-prodotto .gspb-buttonbox-textwrap {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    box-sizing: border-box;
}
.icon-theme-4 {
	display:none!important;
}
button.bapf_button.bapf_update {
    background: var(--global-palette1) !important;
    color: white !important;
    text-transform: uppercase;
    font-weight: 600 !important;
    font-family: 'Roboto' !important;
    font-size: 14px !important;
}
.mCSB_dragger_bar {
	background-color: var(--global-palette3)!important
}
.mCSB_scrollTools {
	opacity: 1!important;
}
#berocket-ajax-filters-sidebar-close+* {
	margin-top: 0!important;
}
.mobile-html-inner .dgwt-wcas-search-wrapp {
    margin: 0;
    width: 100% !important;
    max-width: 100%;
    margin-bottom: 2rem;
    padding: 0 !important;
}
.mobile-html-inner .dgwt-wcas-sf-wrapp {
    background: var(--global-palette7)!important;
    padding-right: 0 !important;
    padding-left: 0 !important;
}
.mobile-html-inner input#dgwt-wcas-search-input-2 {
    background: white;
    border: 1px solid #dcdcdc;
}
.mobile-html-inner button.dgwt-wcas-search-submit {
    left: 1rem !important;
}
.sidebar-prodotti, .site-main, .card-prodotto__image {
	transition: 0.3s!important;
}
.sidebar-prodotti {
	visibility: hidden;
	height: 0!important;
	width: 0!important
}


.woocommerce.has-left-sidebar .content-container {
	grid-template-columns: 1fr!important;
	column-gap: 0!important;
	transition: 0.3s;
}
.woocommerce.has-left-sidebar .content-container aside{ 
	width: 0;
	height: 0;
	opacity: 0;
	visibility: hidden;
	transition: 0.3s!important;
}
.woocommerce.has-left-sidebar .content-container.sidebar-active {
	grid-template-columns: 1fr 5fr!important;
	column-gap: 2rem!important;
}
.woocommerce.has-left-sidebar .content-container.sidebar-active aside{ 
	width: auto;
	height: auto;
	opacity: 1;
	visibility: visible;
	transition: 0.3s!important;
}
.card-prodotto__image , .woocommerce.has-left-sidebar .content-container main{
	transition: 0.3s!important;
}
.sidebar-active .card-prodotto__image {
	height: 300px!important;
}
.bapf_head h3 {
	font-size: 1rem!important;
	margin-bottom: 1rem!important;
	font-weight: 600!important
}
.bapf_body li {
	font-size: 14px!important;
	padding-bottom: 5px!important;
}
.bapf_body li input{
	background: white;
}
.product-archive-title {
	margin-bottom: 0!important;
}
.sidebar-inner-wrap {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}
.archive .content-area {
	margin-top: 0rem;
	margin-bottom: 3rem;
} 
#berocket-ajax-filters-sidebar .berocket_ajax_group_filter_title {
	background-color: var(--global-palette8);
	border-bottom: 0!important;
	font-size: 20px!important;
	font-weight: 600!important;
}
#berocket-ajax-filters-sidebar-close {
    padding: 13px 15px 13px !important;
}
.bapf_sngl_hd_tablet.bapf_sngl_hd_desktop.berocket_single_filter_widget.berocket_single_filter_widget_4754.bapf_wid_4753 {
	position: sticky;
	top: 0;
	width: 100%;
	background: white!important;
	border-bottom: 1px solid #ccc;
	z-index: 2;
}
.bapf_sfilter.bapf_divi_button.pulsante.pulsante-primario {
	margin-bottom: 0;
}
#berocket-ajax-filters-sidebar ul {
	padding: 0.5rem!important;
	background: var(--global-palette8)!important;
}

/* Carrello / Side Cart */
h2.side-cart-header {
    font-size: inherit !important;
    font-weight: 600 !important;
}

/* Checkout / Pagamento */
.payment_method_axepta img {
    max-height: 30px;
}


/* MEGA MENU */
.header-navigation .header-menu-container .custom-nav ul li.menu-item:has(.sub-menu) > a {
	font-size:14px;
	font-weight:600;
}
.custom-nav ul {
	list-style: none;
	margin: 0;
	display: flex;
	flex-direction: column;
	gap: 0.5rem;
}
.custom-nav ul li a {
	color: white;
}
footer .custom-nav {
	padding-top: 1rem;
}

/* MOBILE MENU */
.popup-drawer .drawer-header {
	margin-top:10px;
}
.drawer-content .site-header-item:first-child {
    margin-top: -36px;
    margin-bottom: 2rem;
}

.mobile-navigation:not(.drawer-navigation-parent-toggle-true) ul li.menu-item-has-children .drawer-nav-drop-wrap button {
    border-left: 0px;
}